// Initialize chart
const ctx = document.getElementById('performanceChart').getContext('2d');
const chart = new Chart(ctx, {
  type: 'line',
  data: {
    labels: [],
    datasets: [{
      label: 'Profit/Loss',
      data: [],
      borderColor: '#00c9a7',
      fill: false
    }]
  },
  options: {
    responsive: true,
    maintainAspectRatio: false,
    scales: {
      y: {
        beginAtZero: true,
        grid: {
          color: '#444'
        }
      },
      x: {
        grid: {
          color: '#444'
        }
      }
    },
    plugins: {
      legend: {
        labels: {
          color: '#fff'
        }
      }
    }
  }
});

// Add trade functionality
const addTradeBtn = document.querySelector('.add-trade-btn');
const tradeEntries = document.querySelector('.trade-entries');

addTradeBtn.addEventListener('click', () => {
  const newTrade = document.createElement('div');
  newTrade.className = 'trade-entry';
  newTrade.innerHTML = `
    <span>${new Date().toLocaleDateString()}</span>
    <span>EUR/USD</span>
    <span>Buy</span>
    <span>1.1200</span>
    <span>1.1250</span>
    <span class="profit">+$50.00</span>
  `;
  tradeEntries.appendChild(newTrade);
  
  // Update chart
  const labels = chart.data.labels;
  const data = chart.data.datasets[0].data;
  
  labels.push(new Date().toLocaleDateString());
  data.push(50);
  
  chart.update();
});